%define aurox_ver 9.3
%define rel 1

%define version 1.2.1

Summary: Library assetml to share and reuse content like image and audio file
Name: libassetml
Version: %{version}
Release: %{aurox_ver}.aur.%{rel}
Copyright: GPL
Group: System Environment/Libraries
URL: http://ofset.sf.net/assetml
Source: ftp://ofset.sourceforge.net/libassetml-%{version}.tar.gz
BuildRequires: libxml2-devel glib2-devel
BuildRequires: pkgconfig
BuildRequires: tetex texinfo
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
This is a library based on an XML file format that is used to share and reuse content
like image and audio file.
Application using this library can query files on their system that provides an
assetml xml file description.


%package devel
Summary: assetml library development files
Group: Development/Libraries
Requires: %{name} = 0:%{version}-%{release}
PreReq: info

%description devel
This is a library based on an XML file format that is used to share and reuse content
like image and audio file.
Application using this library can query files on their system that provides an
assetml xml file description.

This package contains library's headers and other development files.

%prep
%setup -n %{name}-%{version} -q

%build
%configure --disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir ||:

%postun devel
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir ||:
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog THANKS
%{_bindir}/assetml-query
%{_prefix}/lib/%{name}.so.*

%files devel
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog THANKS
%{_infodir}/*
%dir %{_datadir}/gnome/help/%{name}
%{_datadir}/gnome/help/%{name}/*
%{_libdir}/%{name}.so
%{_libdir}/%{name}.la
# no static library is build
#%{_libdir}/%{name}.a
%dir %{_includedir}/%{name}*
%{_includedir}/%{name}*/*
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sat Feb 07 2004 Aurox Team <aurox@aurox.org> 0:1.2.1-9.3.aur.1
- move documentation to devel package
- add more BuildRequires; info is prerequisited for installing
- initial import (required by gcompris)

* Sat Feb 07 2004 Robert Glowczynski <robertg@aurox.org>
- Initial version
